Opened 8 years ago

Closed 8 years ago

#48328 closed update (fixed)

gnutls @3.3.15_0: update to 3.3.16

Reported by: Schamschula (Marius Schamschula) Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 2.3.3
Keywords: haspatch maintainer Cc:
Port: gnutls

Description

gnutls has been updated to version 3.3.16:

  • libgnutls: Allow compilation with nettle 3.0 or later
  • libgnutls: corrected failure when importing plain files with gnutls_x509_privkey_import2(), and a password was provided.
  • libgnutls: Don't reject certificates if a CA has the URI or IP address name constraints, and the end certificate doesn't have an IP address name or a URI set.
  • libgnutls: set and read the hint in DHE-PSK and ECDHE-PSK ciphersuites.
  • API and ABI modifications: No changes since last version.

Attachments (1)

Portfile-gnutls.diff (835 bytes) - added by Schamschula (Marius Schamschula) 8 years ago.

Download all attachments as: .zip

Change History (3)

Changed 8 years ago by Schamschula (Marius Schamschula)

Attachment: Portfile-gnutls.diff added

comment:1 Changed 8 years ago by ryandesign (Ryan Schmidt)

Owner: changed from macports-tickets@… to ryandesign@…
Status: newassigned

Thanks.

comment:2 Changed 8 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: assignedclosed

Committed in r138569.

Now I can update nettle to version 3 in #48333.

Note: See TracTickets for help on using tickets.